GET /device/registrationlisting.json
Summary: Device Registration and Listing
Operation ID: getDeviceRegistration
Auth: unknown
Operation ID: getDeviceRegistration
Auth: unknown
Description
Search and retrieve device registration and listing information. Manufacturers and distributors must register their establishments and list their devices with FDA. Contains over 336,000 registration records.
Parameters (4)
count
(string, query, optional)
Field to count/aggregate results by (e.g., 'registration.iso_country_code', 'establishment_type')
limit
(integer, query, optional, default: 1)
Maximum number of results to return (1-1000)
Constraints: {'minimum': 1, 'maximum': 1000}
search
(string, query, optional)
Search query string using field:value pairs. Example: 'proprietary_name:glove OR registration.name:acme'
skip
(integer, query, optional, default: 0)
Number of results to skip for pagination
Constraints: {'minimum': 0}
Examples (3)
| Title | Type | URL | Action |
|---|---|---|---|
| Search for glove devices with limit | curl |
https://api.fda.gov/device/registrationlisting.json?search=proprietary_name:glove&limit=5 |
|
| Count registrations by country code | curl |
https://api.fda.gov/device/registrationlisting.json?count=registration.iso_country_code |
|
| Search US establishments with pagination | curl |
https://api.fda.gov/device/registrationlisting.json?search=registration.iso_country_code:US&limit=10&skip=0 |
Probe History
Status Codes
| Time | Status | Latency | Size |
|---|---|---|---|
| 2026-03-23 09:38:00.148858 | 200 | 846ms | |
| 2026-03-23 09:24:20.858418 | 200 | 866ms | |
| 2026-03-23 09:22:28.947363 | 200 | 880ms |
Response Changes
| When | Old | New |
|---|---|---|
| 2026-03-23 09:24:20.858418 | 63b9f86cbad4 |
6be29abbd75c |
| 2026-03-23 09:38:00.148858 | 6be29abbd75c |
b7e477e0147a |